• Content count

  • Joined

  • Last visited

Community Reputation

0 Neutral

About jma_entertainment

Contact Methods

  • ICQ
  1. My amp reads FW 1. 0. 8. This means I need the update right? -Thanks, Mike
  2. THANKS!
  3. I was reading on some other forums that I would need to update the Firmware on my XTi before I can use the DSP's without any problems. I was looking at the update section and didn't see one for the XTi's. Is this true and if so, where do I get the update from. -Thanks in advance!